<div *ngIf="!isLogin">
  <i class="fas fa-user" (click)="onIconClick()"></i>
  <div class="login" [hidden]="hideLogin">
    <div class="formulario">
      <form [formGroup]="form" (ngSubmit)="onSubmit()">
        <label for="usuario">Usuario</label>
        <input type="text" id="usuario" formControlName="usuario" [ngClass]="{ error: form.get('usuario').invalid && form.touched}">

        <label for="contrasenya">Contraseña</label>
        <input type="password" id="contrasenya" formControlName="contrasenya" [ngClass]="{ error: form.get('contrasenya').invalid && form.touched}">

        <div class="botones">
          <button type="button" (click)="onRegistro()">Registrarse</button>
          <button type="submit">Iniciar sesion</button>
        </div>
      </form>
    </div>
  </div>
</div>

<div *ngIf="isLogin">
  <img [src]="imagenUsuario" alt="imgagen-perfil" (click)="onIconClick()">
  <div class="menu" [hidden]="hideLogin">
    <ul>
      <li (click)="onCerrarSesion()">Cerrar sesion</li>
    </ul>
  </div>
</div>
